## dijitso 2018.1.1~git1

=== doc/sphinx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dijitso.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dijitso.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/dijitso"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/dijitso"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

## dijitso 2016.2.0

=== debian/changelog ===
dijitso (2016.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Johannes Ring ]
  * Initial release (Closes: #846512)

  [ Drew Parsons ]
  * Upload to Debian archives.

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Dec 2016 19:53:16 +0800

=== debian/control ===
Source: dijitso
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Johannes Ring <johannr@simula.no>,
 Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python-six,
 python-numpy,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-numpy
Standards-Version: 3.9.8
Homepage: https://fenicsproject.org
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/dijitso.git
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/dijitso.git/
Testsuite: autopkgtest-pkg-python

Package: python-dijitso
Architecture: all
Depends:
 python-numpy,
 python-six,
 python-mpi4py,
 python-subprocess32,
 ${python:Depends},
 ${misc:Depends}
Suggests: python-dijitso-doc
Description: distributed just-in-time building of shared libraries (Python 2)
 Dijitso was written to improve a core component of the FEniCS
 framework, namely the just in time compilation of C++ code that is
 generated from Python modules, but is only called from within a C++
 library, and thus do not need wrapping in a nice Python interface.
 .
 The main approach of dijitso is to use ctypes to import the dynamic
 shared library directly with no attempt at wrapping it in a Python
 interface.
 .
 As long as the compiled code can provide a simple factory function to
 a class implementing a predefined C++ interface, there is no limit to
 the complexity of that interface as long as it is only called from
 C++ code, If you want a Python interface to your generated code,
 dijitso is probably not the answer.
 .
 Although dijitso serves a very specific role within the FEniCS
 project, it does not depend on other FEniCS components.
 .
 The parallel support depends on the mpi4py interface, although mpi4py
 is not actually imported within the dijitso module so it would be
 possible to mock the communicator object with a similar interface.
 .
 This package installs the library for Python 2.

Package: python3-dijitso
Architecture: all
Depends:
 python3-numpy,
 python3-six,
 python3-mpi4py,
 ${python3:Depends},
 ${misc:Depends}
Suggests: python-dijitso-doc
Description: distributed just-in-time building of shared libraries (Python 3)
 Dijitso was written to improve a core component of the FEniCS
 framework, namely the just in time compilation of C++ code that is
 generated from Python modules, but is only called from within a C++
 library, and thus do not need wrapping in a nice Python interface.
 .
 The main approach of dijitso is to use ctypes to import the dynamic
 shared library directly with no attempt at wrapping it in a Python
 interface.
 .
 As long as the compiled code can provide a simple factory function to
 a class implementing a predefined C++ interface, there is no limit to
 the complexity of that interface as long as it is only called from
 C++ code, If you want a Python interface to your generated code,
 dijitso is probably not the answer.
 .
 Although dijitso serves a very specific role within the FEniCS
 project, it does not depend on other FEniCS components.
 .
 The parallel support depends on the mpi4py interface, although mpi4py
 is not actually imported within the dijitso module so it would be
 possible to mock the communicator object with a similar interface.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=dijitso

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv debian/python3-dijitso/usr/bin/dijitso debian/python3-dijitso/usr/bin/dijitso-3
	mv debian/python3-dijitso/usr/share/man/man1/dijitso.1.gz debian/python3-dijitso/usr/share/man/man1/dijitso-3.1.gz

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://bitbucket.org/fenics-project/dijitso/downloads/dijitso-(.*)\.tar\.gz

## dijitso 2017.2.0.0

=== debian/changelog ===
dijitso (2017.2.0.0-2) unstable; urgency=medium

  * debian/control: update VCS tags to salsa.debian.org

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Feb 2018 22:43:50 +0800

dijitso (2017.2.0.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - this is the official 2017.2.0 release. The previous version was
      a mislabelled beta release.
  * Standards-Version: 4.1.3
  * debhelper compatibility level 11

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jan 2018 00:27:14 +0800

dijitso (2017.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.
    - updated debian/upstream/signing-key.asc for signature
    from the FEniCS Project Steering Council (key BED06106DD22BAB3)
  * Standards-Version: 4.1.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 07 Oct 2017 16:03:00 +0800

dijitso (2017.1.0-3) unstable; urgency=medium

  * Team upload.
  * Depends: python-pkg-resources. Closes: #879988.
  * Standards-Version: 4.1.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Oct 2017 02:10:31 +0800

dijitso (2017.1.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.1.0
  * debhelper compatibility level 10

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Sep 2017 14:35:50 +0800

dijitso (2017.1.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Remove python-dijitso-doc from Suggests (does not exist).
  * d/rules: Disable tests.

 -- Johannes Ring <johannr@simula.no>  Wed, 10 May 2017 10:37:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Johannes Ring <johannr@simula.no>,
  Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python-setuptools,
@@ -16,12 +16,12 @@
  python3-setuptools,
  python3-six,
  python3-numpy
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://fenicsproject.org
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fenics/dijitso.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fenics/dijitso.git/
+Vcs-Git: https://salsa.debian.org/science-team/fenics/dijitso.git
+Vcs-Browser: https://salsa.debian.org/science-team/fenics/dijitso
 Testsuite: autopkgtest-pkg-python
 
 Package: python-dijitso
@@ -31,9 +31,9 @@
  python-six,
  python-mpi4py,
  python-subprocess32,
+ python-pkg-resources,
  ${python:Depends},
  ${misc:Depends}
-Suggests: python-dijitso-doc
 Description: distributed just-in-time building of shared libraries (Python 2)
  Dijitso was written to improve a core component of the FEniCS
  framework, namely the just in time compilation of C++ code that is
@@ -65,6 +65,7 @@
  python3-numpy,
  python3-six,
  python3-mpi4py,
+ python3-pkg-resources,
  ${python3:Depends},
  ${misc:Depends}
 Suggests: python-dijitso-doc

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 #export DH_VERBOSE=1
 export PYBUILD_NAME=dijitso
+export PYBUILD_DISABLE=test
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

## dijitso 2018.1.0

=== debian/changelog ===
dijitso (2018.1.0-5) unstable; urgency=medium

  * apply upstream patch move_file_parallel_bc2eb83.patch to help
    file handling on complex filesystems such as NFS on clusters
  * Standards-Version: 4.2.1

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Sep 2018 21:56:48 +0800

dijitso (2018.1.0-4) unstable; urgency=medium

  * debian/test/control: Depends: @builddeps@ (to provide c++)

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Jul 2018 12:02:48 +0800

dijitso (2018.1.0-3) unstable; urgency=medium

  * don't download fresh source for autopkgtest (debian/tests)

 -- Drew Parsons <dparsons@debian.org>  Thu, 26 Jul 2018 16:20:57 +0800

dijitso (2018.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.1.5
  * Activate autopkgtest (debian/tests).

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Jul 2018 22:38:14 +0800

dijitso (2018.1.0-1exp2) experimental; urgency=medium

  * Conflicts: python-dijitso (<< 2018.1~), Replaces: python-dijitso.
    Closes: #901663.

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Jun 2018 17:51:16 +0200

dijitso (2018.1.0-1exp1) experimental; urgency=medium

  [ Nico Schlömer ]
  * remove Python 2 packages

  [ Drew Parsons ]
  * New upstream release.
    - python-dijitso is now a dummy package depending on python3-dijitso
  * remove ancient-python-version-field X-Python3-Version: 3.4

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Jun 2018 00:21:43 +0200

=== debian/control ===
Source: dijitso
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Johannes Ring <johannr@simula.no>,
 Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-numpy
Standards-Version: 4.2.1
Homepage: https://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/dijitso.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/dijitso

Package: python3-dijitso
Architecture: all
Depends:
 python3-numpy,
 python3-mpi4py,
 python3-pkg-resources,
 ${python3:Depends},
 ${misc:Depends}
Suggests: python-dijitso-doc
Conflicts: python-dijitso (<< 2018.1~)
Replaces: python-dijitso
Description: distributed just-in-time building of shared libraries (Python 3)
 Dijitso was written to improve a core component of the FEniCS
 framework, namely the just in time compilation of C++ code that is
 generated from Python modules, but is only called from within a C++
 library, and thus do not need wrapping in a nice Python interface.
 .
 The main approach of dijitso is to use ctypes to import the dynamic
 shared library directly with no attempt at wrapping it in a Python
 interface.
 .
 As long as the compiled code can provide a simple factory function to
 a class implementing a predefined C++ interface, there is no limit to
 the complexity of that interface as long as it is only called from
 C++ code, If you want a Python interface to your generated code,
 dijitso is probably not the answer.
 .
 Although dijitso serves a very specific role within the FEniCS
 project, it does not depend on other FEniCS components.
 .
 The parallel support depends on the mpi4py interface, although mpi4py
 is not actually imported within the dijitso module so it would be
 possible to mock the communicator object with a similar interface.
 .
 This package installs the library for Python 3.

Package: python-dijitso
Architecture: all
Depends:
 python3-dijitso (>= 2018.1), ${misc:Depends}
Description: distributed just-in-time building of shared libraries
 Dijitso was written to improve a core component of the FEniCS
 framework, namely the just in time compilation of C++ code that is
 generated from Python modules, but is only called from within a C++
 library, and thus do not need wrapping in a nice Python interface.
 .
 The main approach of dijitso is to use ctypes to import the dynamic
 shared library directly with no attempt at wrapping it in a Python
 interface.
 .
 As long as the compiled code can provide a simple factory function to
 a class implementing a predefined C++ interface, there is no limit to
 the complexity of that interface as long as it is only called from
 C++ code, If you want a Python interface to your generated code,
 dijitso is probably not the answer.
 .
 Although dijitso serves a very specific role within the FEniCS
 project, it does not depend on other FEniCS components.
 .
 The parallel support depends on the mpi4py interface, although mpi4py
 is not actually imported within the dijitso module so it would be
 possible to mock the communicator object with a similar interface.
 .
 This is a dummy package that depends on python3-dijitso.
 (Dijitso is no longer available for Python 2).

## dijitso 2018.1.1~git1

=== debian/changelog ===
dijitso (2018.1.1~git1-1) unstable; urgency=medium

  * New upstream git snapshot (master branch) from 2018-11-21
    (commit 8812382)
    - contains patches which may improve lockfile handling
    - applies debian patch move_file_parallel_bc2eb83.patch
  * Standards-Version: 4.3.0
  * debhelper compatibility level 12

 -- Drew Parsons <dparsons@debian.org>  Fri, 01 Feb 2019 15:02:16 +0800

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  Johannes Ring <johannr@simula.no>,
  Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-numpy
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/dijitso.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/dijitso

## dijitso 2019.1.0~git20181121

=== debian/changelog ===
dijitso (2019.1.0~git20181121-1) experimental; urgency=medium

  * New upstream test release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Mar 2019 02:11:40 +0800

## dijitso 2019.1.0

=== debian/changelog ===
dijitso (2019.1.0-3) unstable; urgency=medium

  * set OMPI_MCA_btl_base_warn_component_unused=0 in debian/tests to
    avoid warning about missing OpenFabrics (openib)
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 26 Oct 2019 20:53:20 +0800

dijitso (2019.1.0-2) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-dijitso

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Jul 2019 11:59:05 +0800

dijitso (2019.1.0-1) experimental; urgency=medium

  * New upstream release (official).
  * debhelper 12: Build-Depends: debhelper-compat (= 12)

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Apr 2019 09:52:05 +0800

=== debian/control ===
Source: dijitso
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Johannes Ring <johannr@simula.no>,
 Drew Parsons <dparsons@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-numpy
Standards-Version: 4.4.1
Homepage: https://fenicsproject.org
Vcs-Git: https://salsa.debian.org/science-team/fenics/dijitso.git
Vcs-Browser: https://salsa.debian.org/science-team/fenics/dijitso

Package: python3-dijitso
Architecture: all
Depends:
 python3-numpy,
 python3-mpi4py,
 python3-pkg-resources,
 ${python3:Depends},
 ${misc:Depends}
Suggests: python-dijitso-doc
Conflicts: python-dijitso (<< 2018.1~)
Replaces: python-dijitso
Description: distributed just-in-time building of shared libraries (Python 3)
 Dijitso was written to improve a core component of the FEniCS
 framework, namely the just in time compilation of C++ code that is
 generated from Python modules, but is only called from within a C++
 library, and thus do not need wrapping in a nice Python interface.
 .
 The main approach of dijitso is to use ctypes to import the dynamic
 shared library directly with no attempt at wrapping it in a Python
 interface.
 .
 As long as the compiled code can provide a simple factory function to
 a class implementing a predefined C++ interface, there is no limit to
 the complexity of that interface as long as it is only called from
 C++ code, If you want a Python interface to your generated code,
 dijitso is probably not the answer.
 .
 Although dijitso serves a very specific role within the FEniCS
 project, it does not depend on other FEniCS components.
 .
 The parallel support depends on the mpi4py interface, although mpi4py
 is not actually imported within the dijitso module so it would be
 possible to mock the communicator object with a similar interface.
 .
 This package installs the library for Python 3.

## dijitso 2019.2.0~git20190418.c92dcb0

=== doc/sphinx/requirements.txt ===
sphinx==1.7.0

=== debian/changelog ===
dijitso (2019.2.0~git20190418.c92dcb0-5) unstable; urgency=medium

  * Update Francesco Ballarin email's address.
  * Packaging update
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Update lintian override info format in d/python3-dijitso.lintian-overrides on line 1-2.
  * watch file standard 4 (routine-update)
  * Add patch use-c++-14.patch to build using JIT compiled libraries with C++ 14
    standard instead of C++ 11. See dolfin Bug #1110575.

 -- Francesco Ballarin <ballarin@debian.org>  Wed, 10 Sep 2025 06:19:29 +0000

dijitso (2019.2.0~git20190418.c92dcb0-4) unstable; urgency=medium

  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/tests.
  * Bump Standards-Version to 4.7.0

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 31 Oct 2024 12:50:02 +0000

dijitso (2019.2.0~git20190418.c92dcb0-3) unstable; urgency=medium

  * Add Francesco Ballarin to uploaders
  * Drop Depends on python3-pkg-resources. pkg_resources was used to determine
    the version of this package: add pkg-resources-to-importlib.patch that
    replaces pkg_resources with importlib.metadata. Closes: #1083361.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 13 Oct 2024 15:11:04 +0000

dijitso (2019.2.0~git20190418.c92dcb0-2) unstable; urgency=medium

  * upload snapshot to unstable

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 01:16:23 +0800

dijitso (2019.2.0~git20190418.c92dcb0-1) experimental; urgency=medium

  * New upstream snapshot.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Jan 2020 23:14:20 +0800

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,35 @@
 Source: dijitso
+Standards-Version: 4.7.2
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Johannes Ring <johannr@simula.no>,
+ Drew Parsons <dparsons@debian.org>,
+ Francesco Ballarin <ballarin@debian.org>,
 Section: python
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
- Johannes Ring <johannr@simula.no>,
- Drew Parsons <dparsons@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
- python3-numpy
-Standards-Version: 4.4.1
+ python3-numpy,
+Vcs-Browser: https://salsa.debian.org/science-team/fenics/dijitso
+Vcs-Git: https://salsa.debian.org/science-team/fenics/dijitso.git
 Homepage: https://fenicsproject.org
-Vcs-Git: https://salsa.debian.org/science-team/fenics/dijitso.git
-Vcs-Browser: https://salsa.debian.org/science-team/fenics/dijitso
 
 Package: python3-dijitso
 Architecture: all
 Depends:
  python3-numpy,
  python3-mpi4py,
- python3-pkg-resources,
  ${python3:Depends},
- ${misc:Depends}
-Suggests: python-dijitso-doc
-Conflicts: python-dijitso (<< 2018.1~)
-Replaces: python-dijitso
+ ${misc:Depends},
+Suggests:
+ python-dijitso-doc,
+Conflicts:
+ python-dijitso (<< 2018.1~),
+Replaces:
+ python-dijitso,
 Description: distributed just-in-time building of shared libraries (Python 3)
  Dijitso was written to improve a core component of the FEniCS
  framework, namely the just in time compilation of C++ code that is

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=dijitso
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: test-dijitso
Depends: python3-dijitso, python3-pytest, mpi-default-bin, @builddeps@

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://bitbucket.org/fenics-project/dijitso/downloads/dijitso-(.*)\.tar\.gz
